Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.java
Class javaURLContextFactory

    java.lang.Object
      org.apache.naming.java.javaURLContextFactory

All Implemented Interfaces:
  InitialContextFactory, ObjectFactory

    public class javaURLContextFactory

extends Object
implements ObjectFactory, InitialContextFactory

Context factory for the "java:" namespace.

Important note : This factory MUST be associated with the "java" URL prefix, which can be done by either :

- Adding a java.naming.factory.url.pkgs=org.apache.catalina.util.naming property to the JNDI properties file
- Setting an environment variable named Context.URL_PKG_PREFIXES with its value including the org.apache.catalina.util.naming package name. More detail about this can be found in the JNDI documentation : `NamingManager.getURLContext(java.lang.String, java.util.Hashtable)`.

Version:
  $Id: javaURLContextFactory.java 1056244 2011-01-07 10:31:59Z markt $
Author:
  Remy Maucherat

Field Summary
`protected static Context` | `initialContext` Initial context.
`static String` | `MAIN`

Constructor Summary
`javaURLContextFactory()`

Method Summary
`Context` | `getInitialContext(Hashtable<?,?> environment)` Get a new (writable) initial context.
`Object` | `getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)` Crete a new Context's instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAIN

    public static final String MAIN

See Also:
  Constant Field Values

### initialContext

    protected static volatile Context initialContext

  Initial context.

Constructor Detail

### javaURLContextFactory

    public javaURLContextFactory()

Method Detail

### getObjectInstance

    public Object getObjectInstance(Object obj,
                                    Name name,
                                    Context nameCtx,
                                    Hashtable<?,?> environment)
                             throws NamingException

  Crete a new Context's instance.

  Specified by:
    `getObjectInstance` in interface `ObjectFactory`
  Throws:
    `NamingException`

### getInitialContext

    public Context getInitialContext(Hashtable<?,?> environment)
                              throws NamingException

  Get a new (writable) initial context.

  Specified by:
    `getInitialContext` in interface `InitialContextFactory`
  Throws:
    `NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.